org.apache.fop.layoutmgr

## Interface BreakOpportunity

All Known Implementing Classes:
  BasicLinkLayoutManager, BidiLayoutManager, BlockContainerLayoutManager, BlockLayoutManager, FloatLayoutManager, FootnoteLayoutManager, InlineLayoutManager, InlineStackingLayoutManager, LineLayoutManager, ListItemContentLayoutManager, ListItemLayoutManager, TableLayoutManager

    public interface BreakOpportunity

Defines methods to evaluate break opportunities at a particular location in the tree of layout managers.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getBreakBefore()` Returns the highest priority break-before value on this layout manager or its relevant descendants.

### Method Detail

#### getBreakBefore

    int getBreakBefore()

Returns the highest priority break-before value on this layout manager or its relevant descendants.

Returns:
  the break-before value (Constants.EN_*)